﻿using Syncfusion.Windows.Controls.RichTextBoxAdv;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RTE_List
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ////Loads the sample doucment
            richTextBoxAdv.Load(@"../../Assets/Sample.docx");

            ////Creates a numerical list and added in the control list collections
            AbstractListAdv abstractListAdv = new AbstractListAdv(null);
            abstractListAdv.AbstractListId = 1;
            ListLevelAdv listLevel = new ListLevelAdv(abstractListAdv);
            listLevel.ParagraphFormat.LeftIndent = 48d;
            listLevel.FollowCharacter = FollowCharacterType.Space;
            listLevel.ListLevelPattern = ListLevelPattern.Number;
            listLevel.NumberFormat = "%1.";
            listLevel.StartAt = 1;
            abstractListAdv.Levels.Add(listLevel);
            richTextBoxAdv.Document.AbstractLists.Add(abstractListAdv);
            ListAdv listAdv = new ListAdv(null);
            listAdv.ListId = 1;
            listAdv.AbstractListId = 1;
            richTextBoxAdv.Document.Lists.Add(listAdv);
        }

        /// <summary>
        /// Applies the numerical list
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Apply_NumbericalList(object sender, RoutedEventArgs e)
        {
            ListAdv myListAdv = richTextBoxAdv.Document.Lists[0];
            richTextBoxAdv.Selection.ParagraphFormat.SetList(myListAdv);
        }

        /// <summary>
        /// Decreases the indent of paragraph
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Decrease_Indent(object sender, RoutedEventArgs e)
        {
            SfRichTextBoxAdv.DecreaseIndentCommand.Execute(null, richTextBoxAdv);
        }

        /// <summary>
        /// Increase the indent of paragraph
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Increase_Indent(object sender, RoutedEventArgs e)
        {
            SfRichTextBoxAdv.IncreaseIndentCommand.Execute(null, richTextBoxAdv);
        }
    }
}
